org.apache.maven.artifact.repository

## Class DefaultArtifactRepositoryFactory

- java.lang.Object
- - org.apache.maven.artifact.repository.DefaultArtifactRepositoryFactory

All Implemented Interfaces:
  ArtifactRepositoryFactory

    public class DefaultArtifactRepositoryFactory
    extends java.lang.Object
    implements ArtifactRepositoryFactory

Author:
  jdcasey

### Field Summary

### Fields inherited from interface org.apache.maven.artifact.repository.ArtifactRepositoryFactory

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultArtifactRepositoryFactory()`

### Method Summary

Methods
`ArtifactRepository` `createArtifactRepository(java.lang.String id, java.lang.String url, ArtifactRepositoryLayout repositoryLayout, ArtifactRepositoryPolicy snapshots, ArtifactRepositoryPolicy releases)`
`ArtifactRepository` `createDeploymentArtifactRepository(java.lang.String id, java.lang.String url, ArtifactRepositoryLayout repositoryLayout, boolean uniqueVersion)`
`void` `setGlobalChecksumPolicy(java.lang.String checksumPolicy)`
`void` `setGlobalUpdatePolicy(java.lang.String updatePolicy)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultArtifactRepositoryFactory

    public DefaultArtifactRepositoryFactory()

### Method Detail

#### createDeploymentArtifactRepository

    public ArtifactRepository createDeploymentArtifactRepository(java.lang.String id,
                                                        java.lang.String url,
                                                        ArtifactRepositoryLayout repositoryLayout,
                                                        boolean uniqueVersion)

Specified by:
  `createDeploymentArtifactRepository` in interface `ArtifactRepositoryFactory`

#### createArtifactRepository

    public ArtifactRepository createArtifactRepository(java.lang.String id,
                                              java.lang.String url,
                                              ArtifactRepositoryLayout repositoryLayout,
                                              ArtifactRepositoryPolicy snapshots,
                                              ArtifactRepositoryPolicy releases)

Specified by:
  `createArtifactRepository` in interface `ArtifactRepositoryFactory`

#### setGlobalUpdatePolicy

    public void setGlobalUpdatePolicy(java.lang.String updatePolicy)

Specified by:
  `setGlobalUpdatePolicy` in interface `ArtifactRepositoryFactory`

#### setGlobalChecksumPolicy

    public void setGlobalChecksumPolicy(java.lang.String checksumPolicy)

Specified by:
  `setGlobalChecksumPolicy` in interface `ArtifactRepositoryFactory`